package net.northking.cctp.executePlan.dto.planTask;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>Title: TaskCaseStepDetailDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/27
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class TaskCaseStepDetailDto implements Serializable {

    private String stepId;

    private String stepName;

    private List<Map<String, String>> stepDescList;

    private List<String> paramList;

    private Boolean execResult;

    private Boolean executed;

    private Long execTime;

    private String imgUrl;

    private String actualImgUrl;

    private String errorMsg;

    private List<TaskCaseStepDetailDto> stepList;

    /**
     * 步骤类型 1-PC；2-移动；3-接口
     */
    private String stepType;

    /**
     * 是否跳过
     */
    private Boolean skip;

    /**
     * 接口响应报文
     */
    private String responseMap;

    private String outputMsg;

    public String getOutputMsg() {
        return outputMsg;
    }

    public void setOutputMsg(String outputMsg) {
        this.outputMsg = outputMsg;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public String getStepName() {
        return stepName;
    }

    public void setStepName(String stepName) {
        this.stepName = stepName;
    }

    public List<Map<String, String>> getStepDescList() {
        return stepDescList;
    }

    public void setStepDescList(List<Map<String, String>> stepDescList) {
        this.stepDescList = stepDescList;
    }

    public List<String> getParamList() {
        return paramList;
    }

    public void setParamList(List<String> paramList) {
        this.paramList = paramList;
    }

    public Boolean getExecResult() {
        return execResult;
    }

    public void setExecResult(Boolean execResult) {
        this.execResult = execResult;
    }

    public Boolean getExecuted() {
        return executed;
    }

    public void setExecuted(Boolean executed) {
        this.executed = executed;
    }

    public Long getExecTime() {
        return execTime;
    }

    public void setExecTime(Long execTime) {
        this.execTime = execTime;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getActualImgUrl() {
        return actualImgUrl;
    }

    public void setActualImgUrl(String actualImgUrl) {
        this.actualImgUrl = actualImgUrl;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public List<TaskCaseStepDetailDto> getStepList() {
        return stepList;
    }

    public void setStepList(List<TaskCaseStepDetailDto> stepList) {
        this.stepList = stepList;
    }

    public String getStepType() {
        return stepType;
    }

    public void setStepType(String stepType) {
        this.stepType = stepType;
    }

    public Boolean getSkip() {
        return skip;
    }

    public void setSkip(Boolean skip) {
        this.skip = skip;
    }

    public String getResponseMap() {
        return responseMap;
    }

    public void setResponseMap(String responseMap) {
        this.responseMap = responseMap;
    }
}
